GraphDatabaseSettings (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.factory
Class GraphDatabaseSettings

    java.lang.Object
      org.neo4j.graphdb.factory.GraphDatabaseSettings

    public abstract class GraphDatabaseSettings

extends Object

Settings for the Community edition of Neo4j. Use this with GraphDatabaseBuilder.

Nested Class Summary
`static class` | `GraphDatabaseSettings.CacheTypeSetting` Deprecated.
`static class` | `GraphDatabaseSettings.CypherParserSetting` Deprecated.
`static class` | `GraphDatabaseSettings.UseMemoryMappedBuffers` Deprecated.

Field Summary
`static GraphDatabaseSetting.BooleanSetting` | `allow_store_upgrade`
`static GraphDatabaseSetting.IntegerSetting` | `array_block_size`
`static GraphDatabaseSetting.StringSetting` | `arrays_mapped_memory` Deprecated.
`static Setting` | `arrays_mapped_memory_size`
`static GraphDatabaseSetting.BooleanSetting` | `backup_slave`
`static GraphDatabaseSettings.CacheTypeSetting` | `cache_type`
`static GraphDatabaseSetting.OptionsSetting` | `cypher_parser_version`
`static GraphDatabaseSetting.BooleanSetting` | `dump_configuration`
`static GraphDatabaseSetting.BooleanSetting` | `execution_guard_enabled`
`static Setting` | `first_delay` Configuration key for the first delay, expressed in milliseconds.
`static GraphDatabaseSetting<String>` | `forced_kernel_id`
`static Setting` | `gc_monitor_block_threshold`
`static Setting` | `gc_monitor_interval`
`static GraphDatabaseSetting.StringSetting` | `gc_monitor_threshold` Deprecated.
`static GraphDatabaseSetting.StringSetting` | `gc_monitor_wait_time` Deprecated.
`static GraphDatabaseSetting.StringSetting` | `gcr_cache_min_log_interval` Deprecated.
`static GraphDatabaseSetting.BooleanSetting` | `grab_file_lock`
`static GraphDatabaseSetting.BooleanSetting` | `intercept_committing_transactions`
`static GraphDatabaseSetting.BooleanSetting` | `intercept_deserialized_transactions`
`static Setting` | `interval` Configuration key for the interval for regular updates, expressed in milliseconds.
`static GraphDatabaseSetting.StringSetting` | `keep_logical_logs`
`static GraphDatabaseSetting.BooleanSetting` | `load_kernel_extensions`
`static GraphDatabaseSetting.FileSetting` | `logical_log`
`static GraphDatabaseSetting.IntegerSetting` | `lucene_searcher_cache_size`
`static GraphDatabaseSetting.IntegerSetting` | `lucene_writer_cache_size`
`static GraphDatabaseSetting.FileSetting` | `neo_store`
`static GraphDatabaseSetting.BooleanSetting` | `node_auto_indexing`
`static GraphDatabaseSetting.FloatSetting` | `node_cache_array_fraction` Deprecated.
`static GraphDatabaseSetting.StringSetting` | `node_cache_size` Deprecated.
`static GraphDatabaseSetting.StringSetting` | `node_keys_indexable`
`static GraphDatabaseSetting.StringSetting` | `nodestore_mapped_memory` Deprecated.
`static Setting` | `nodestore_mapped_memory_size`
`static GraphDatabaseSetting.StringSetting` | `nodestore_propertystore_index_keys_mapped_memory` Deprecated.
`static Setting` | `nodestore_propertystore_index_keys_mapped_memory_size`
`static GraphDatabaseSetting.StringSetting` | `nodestore_propertystore_index_mapped_memory` Deprecated.
`static Setting` | `nodestore_propertystore_index_mapped_memory_size`
`static GraphDatabaseSetting.StringSetting` | `nodestore_propertystore_mapped_memory` Deprecated.
`static Setting` | `nodestore_propertystore_mapped_memory_size`
`static GraphDatabaseSetting.BooleanSetting` | `online_backup_enabled`
`static GraphDatabaseSetting.PortSetting` | `online_backup_port`
`static GraphDatabaseSetting.BooleanSetting` | `read_only`
`static GraphDatabaseSetting.BooleanSetting` | `rebuild_idgenerators_fast`
`static GraphDatabaseSetting.BooleanSetting` | `relationship_auto_indexing`
`static GraphDatabaseSetting.FloatSetting` | `relationship_cache_array_fraction` Deprecated.
`static GraphDatabaseSetting.StringSetting` | `relationship_cache_size` Deprecated.
`static GraphDatabaseSetting.IntegerSetting` | `relationship_grab_size`
`static GraphDatabaseSetting.StringSetting` | `relationship_keys_indexable`
`static GraphDatabaseSetting.StringSetting` | `relationshipstore_mapped_memory` Deprecated.
`static Setting` | `relationshipstore_mapped_memory_size`
`static GraphDatabaseSetting<Boolean>` | `remote_logging_enabled`
`static GraphDatabaseSetting.StringSetting` | `remote_logging_host`
`static GraphDatabaseSetting.PortSetting` | `remote_logging_port`
`static GraphDatabaseSetting.DirectorySetting` | `store_dir`
`static GraphDatabaseSetting.IntegerSetting` | `string_block_size`
`static GraphDatabaseSetting.StringSetting` | `strings_mapped_memory` Deprecated.
`static Setting` | `strings_mapped_memory_size`
`static GraphDatabaseSetting.IntegerSetting` | `threshold_for_logging_rotation`
`static GraphDatabaseSetting.StringSetting` | `tx_manager_impl`
`static Setting` | `udc_enabled` Configuration key for enabling the UDC extension.
`static Setting` | `udc_host` The host address to which UDC updates will be sent.
`static Setting` | `udc_registration_key` Unique registration id
`static Setting` | `udc_source` Configuration key for overriding the source parameter in UDC
`static GraphDatabaseSettings.UseMemoryMappedBuffers` | `use_memory_mapped_buffers`

Constructor Summary
`GraphDatabaseSettings()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### read_only

    public static final GraphDatabaseSetting.BooleanSetting read_only

### cache_type

    public static final GraphDatabaseSettings.CacheTypeSetting cache_type

### load_kernel_extensions

    public static final GraphDatabaseSetting.BooleanSetting load_kernel_extensions

### dump_configuration

    public static final GraphDatabaseSetting.BooleanSetting dump_configuration

### tx_manager_impl

    public static final GraphDatabaseSetting.StringSetting tx_manager_impl

### allow_store_upgrade

    public static GraphDatabaseSetting.BooleanSetting allow_store_upgrade

### intercept_deserialized_transactions

    public static final GraphDatabaseSetting.BooleanSetting intercept_deserialized_transactions

### cypher_parser_version

    public static final GraphDatabaseSetting.OptionsSetting cypher_parser_version

### remote_logging_enabled

    public static GraphDatabaseSetting<Boolean> remote_logging_enabled

### remote_logging_host

    public static final GraphDatabaseSetting.StringSetting remote_logging_host

### remote_logging_port

    public static final GraphDatabaseSetting.PortSetting remote_logging_port

### threshold_for_logging_rotation

    public static final GraphDatabaseSetting.IntegerSetting threshold_for_logging_rotation

### node_auto_indexing

    public static final GraphDatabaseSetting.BooleanSetting node_auto_indexing

### node_keys_indexable

    public static final GraphDatabaseSetting.StringSetting node_keys_indexable

### relationship_auto_indexing

    public static final GraphDatabaseSetting.BooleanSetting relationship_auto_indexing

### relationship_keys_indexable

    public static final GraphDatabaseSetting.StringSetting relationship_keys_indexable

### lucene_searcher_cache_size

    public static GraphDatabaseSetting.IntegerSetting lucene_searcher_cache_size

### lucene_writer_cache_size

    public static GraphDatabaseSetting.IntegerSetting lucene_writer_cache_size

### intercept_committing_transactions

    public static final GraphDatabaseSetting.BooleanSetting intercept_committing_transactions

### keep_logical_logs

    public static final GraphDatabaseSetting.StringSetting keep_logical_logs

### rebuild_idgenerators_fast

    public static final GraphDatabaseSetting.BooleanSetting rebuild_idgenerators_fast

### use_memory_mapped_buffers

    public static final GraphDatabaseSettings.UseMemoryMappedBuffers use_memory_mapped_buffers

### nodestore_mapped_memory_size

    public static final Setting nodestore_mapped_memory_size

### nodestore_propertystore_mapped_memory_size

    public static final Setting nodestore_propertystore_mapped_memory_size

### nodestore_propertystore_index_mapped_memory_size

    public static final Setting nodestore_propertystore_index_mapped_memory_size

### nodestore_propertystore_index_keys_mapped_memory_size

    public static final Setting nodestore_propertystore_index_keys_mapped_memory_size

### strings_mapped_memory_size

    public static final Setting strings_mapped_memory_size

### arrays_mapped_memory_size

    public static final Setting arrays_mapped_memory_size

### relationshipstore_mapped_memory_size

    public static final Setting relationshipstore_mapped_memory_size

### nodestore_mapped_memory

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting nodestore_mapped_memory

  Deprecated.

### nodestore_propertystore_mapped_memory

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting nodestore_propertystore_mapped_memory

  Deprecated.

### nodestore_propertystore_index_mapped_memory

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting nodestore_propertystore_index_mapped_memory

  Deprecated.

### nodestore_propertystore_index_keys_mapped_memory

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting nodestore_propertystore_index_keys_mapped_memory

  Deprecated.

### strings_mapped_memory

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting strings_mapped_memory

  Deprecated.

### arrays_mapped_memory

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting arrays_mapped_memory

  Deprecated.

### relationshipstore_mapped_memory

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting relationshipstore_mapped_memory

  Deprecated.

### relationship_grab_size

    public static final GraphDatabaseSetting.IntegerSetting relationship_grab_size

### grab_file_lock

    public static final GraphDatabaseSetting.BooleanSetting grab_file_lock

### string_block_size

    public static final GraphDatabaseSetting.IntegerSetting string_block_size

### array_block_size

    public static final GraphDatabaseSetting.IntegerSetting array_block_size

### backup_slave

    public static final GraphDatabaseSetting.BooleanSetting backup_slave

### forced_kernel_id

    public static final GraphDatabaseSetting<String> forced_kernel_id

### online_backup_enabled

    public static final GraphDatabaseSetting.BooleanSetting online_backup_enabled

### online_backup_port

    public static final GraphDatabaseSetting.PortSetting online_backup_port

### execution_guard_enabled

    public static final GraphDatabaseSetting.BooleanSetting execution_guard_enabled

### gc_monitor_interval

    public static final Setting gc_monitor_interval

### gc_monitor_block_threshold

    public static final Setting gc_monitor_block_threshold

### gc_monitor_wait_time

    @Deprecated
    public static GraphDatabaseSetting.StringSetting gc_monitor_wait_time

  Deprecated.

### gc_monitor_threshold

    @Deprecated
    public static GraphDatabaseSetting.StringSetting gc_monitor_threshold

  Deprecated.

### store_dir

    public static final GraphDatabaseSetting.DirectorySetting store_dir

### neo_store

    public static final GraphDatabaseSetting.FileSetting neo_store

### logical_log

    public static final GraphDatabaseSetting.FileSetting logical_log

### node_cache_size

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting node_cache_size

  Deprecated.
  Use `#gcr_node_cache_size` instead.

### relationship_cache_size

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting relationship_cache_size

  Deprecated.
  Use `#gcr_relationship_cache_size` instead.

### node_cache_array_fraction

    @Deprecated
    public static final GraphDatabaseSetting.FloatSetting node_cache_array_fraction

  Deprecated.

### relationship_cache_array_fraction

    @Deprecated
    public static final GraphDatabaseSetting.FloatSetting relationship_cache_array_fraction

  Deprecated.

### gcr_cache_min_log_interval

    @Deprecated
    public static final GraphDatabaseSetting.StringSetting gcr_cache_min_log_interval

  Deprecated.
  Please use `#gcr_cache_log_interval` instead.

### udc_enabled

    public static final Setting udc_enabled

  Configuration key for enabling the UDC extension. Set to "false" to disable; any other value is considered false.

### first_delay

    public static final Setting first_delay

  Configuration key for the first delay, expressed in milliseconds.

### interval

    public static final Setting interval

  Configuration key for the interval for regular updates, expressed in milliseconds.

### udc_host

    public static final Setting udc_host

  The host address to which UDC updates will be sent. Should be of the form hostname[:port].

### udc_source

    public static final Setting udc_source

  Configuration key for overriding the source parameter in UDC

### udc_registration_key

    public static final Setting udc_registration_key

  Unique registration id

Constructor Detail

### GraphDatabaseSettings

    public GraphDatabaseSettings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.